### Function

# Qmi Device new_from_node

since: 1.28

#### Declaration [src]

    void
    qmi_device_new_from_node (
      QrtrNode* node,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously creates a `QmiDevice` object to manage `node`. When the operation is finished, `callback` will be invoked. You can then call `qmi_device_new_finish()` to get the result of the operation.

<note><para> This method is only available when the library is built with QRTR support. </para></note>.

Available since: 1.28

This function completes asynchronously. Use `qmi_device_new_from_node_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`node`

  Type: `QrtrNode`

  A `QrtrNode`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the initialization is finished.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.